Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 698436 - =dev-db/redis-5.0.8: stable request
Summary: =dev-db/redis-5.0.8: stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords: STABLEREQ
: 703226 (view as bug list)
Depends on: 699944
Blocks: CVE-2019-10192, CVE-2019-10193
  Show dependency tree
 
Reported: 2019-10-24 03:57 UTC by Tomáš Mózes
Modified: 2020-06-23 18:16 UTC (History)
2 users (show)

See Also:
Package list:
=dev-db/redis-5.0.8
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomáš Mózes 2019-10-24 03:57:40 UTC
Please consider stabilizing the current Stable (5.0) (according to https://redis.io/download).
Comment 1 Tomáš Mózes 2019-10-24 04:00:34 UTC
We also need a newer jemalloc stabilized, is it ok @mozilla @Whissi?
Comment 2 Tomáš Mózes 2019-11-12 09:18:43 UTC
Looks like 5.0.6 is a security update.
Comment 3 Thomas Deutschmann gentoo-dev Security 2019-11-12 13:13:00 UTC
Moved jemalloc stabilization to an own bug because of different set of keywords.
Comment 4 Tomáš Mózes 2019-12-18 03:49:26 UTC
*** Bug 703226 has been marked as a duplicate of this bug. ***
Comment 5 Larry the Git Cow gentoo-dev 2019-12-26 21:47:15 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a056fc0a259dd50bb853c469107b2914e880bdbc

commit a056fc0a259dd50bb853c469107b2914e880bdbc
Merge: 72028d4ff00 47bdb484937
Author:     Robin H. Johnson <robbat2@gentoo.org>
AuthorDate: 2019-12-24 22:30:21 +0000
Commit:     Robin H. Johnson <robbat2@gentoo.org>
CommitDate: 2019-12-26 21:46:43 +0000

    dev-db/redis: Merge remote-tracking branch 'github/pr/13619'
    
    Fixes: https://bugs.gentoo.org/698436
    Closes: https://github.com/gentoo/gentoo/pull/13619
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

 acct-group/redis/metadata.xml                      |   7 +
 acct-group/redis/redis-0.ebuild                    |   9 ++
 acct-user/redis/metadata.xml                       |   7 +
 acct-user/redis/redis-0.ebuild                     |  11 ++
 dev-db/redis/Manifest                              |   7 +-
 dev-db/redis/redis-4.0.10.ebuild                   | 142 -------------------
 dev-db/redis/redis-4.0.11.ebuild                   | 142 -------------------
 dev-db/redis/redis-4.0.12.ebuild                   | 142 -------------------
 dev-db/redis/redis-4.0.13.ebuild                   | 142 -------------------
 dev-db/redis/redis-5.0.3.ebuild                    | 153 ---------------------
 .../{redis-5.0.4.ebuild => redis-5.0.7.ebuild}     |  31 +++--
 11 files changed, 52 insertions(+), 741 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5794ff3b13a3c7e6ee4c88dccf0b734ac79556af

commit 5794ff3b13a3c7e6ee4c88dccf0b734ac79556af
Author:     Tomáš Mózes <hydrapolic@gmail.com>
AuthorDate: 2019-11-20 06:40:40 +0000
Commit:     Tomas Mozes <hydrapolic@gmail.com>
CommitDate: 2019-12-25 15:13:59 +0000

    dev-db/redis: bump to 5.0.7
    
    Bug: https://bugs.gentoo.org/698436
    Package-Manager: Portage-2.3.79, Repoman-2.3.17
    Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com>

 dev-db/redis/redis-5.0.7.ebuild | 159 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 159 insertions(+)
Comment 6 Tomáš Mózes 2019-12-26 22:52:48 UTC
Please call stabilization.
Comment 7 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2019-12-27 23:05:24 UTC
arches, please test & stabilize =dev-db/redis-5.0.7. FEATURES=test is supported. The 5.0 series has been in the tree for >6 months.
Comment 8 Agostino Sarubbo gentoo-dev 2019-12-30 12:57:58 UTC
amd64 stable
Comment 9 Agostino Sarubbo gentoo-dev 2019-12-30 15:33:54 UTC
ppc64 stable
Comment 10 Agostino Sarubbo gentoo-dev 2019-12-30 16:12:20 UTC
x86 stable
Comment 11 Agostino Sarubbo gentoo-dev 2020-01-01 12:53:35 UTC
arm stable
Comment 12 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2020-01-01 22:58:18 UTC
arm64 stable
Comment 13 ernsteiswuerfel 2020-01-04 17:29:06 UTC
Fails to build on ppc (bug #652098).
Comment 14 Tomáš Mózes 2020-03-23 14:13:23 UTC
PPC, please stabilize 5.0.8, thanks.
Comment 15 ernsteiswuerfel 2020-03-23 16:10:49 UTC
Looking good on ppc.

# cat redis-698436.report 
USE tests started on Mo 23. Mär 16:04:08 CET 2020

FEATURES=' test' USE='' succeeded for =dev-db/redis-5.0.8
USE='-jemalloc -luajit -tcmalloc' succeeded for =dev-db/redis-5.0.8
USE='jemalloc -luajit -tcmalloc' succeeded for =dev-db/redis-5.0.8
USE='-jemalloc luajit -tcmalloc' succeeded for =dev-db/redis-5.0.8
USE='jemalloc luajit -tcmalloc' succeeded for =dev-db/redis-5.0.8
USE='-jemalloc -luajit tcmalloc' succeeded for =dev-db/redis-5.0.8
USE='-jemalloc luajit tcmalloc' succeeded for =dev-db/redis-5.0.8
Comment 16 Agostino Sarubbo gentoo-dev 2020-03-25 13:27:53 UTC
ppc stable. Closing.
Comment 17 Tomáš Mózes 2020-05-29 03:02:34 UTC
Seems like we forgot to add hppa as it's needed for:
dev-libs/hiredis
dev-python/redis-py

Then we can purge the old unsupported 4.x branch.
Comment 18 Rolf Eike Beer 2020-06-23 18:16:56 UTC
hppa stable. Last arch, closing.